<?php require_once('Connections/conn.php');?>
<?php session_start();
  if (!isset($_SESSION['MM_Username'])) {
      header ("Location: modulos/inicio/index.php");
	  }
  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];

 // Captura las variables que vienen de carga.php o de registrar_nota.php.
  $profesor = $_GET["profesor"];
  $periodo  = $_GET["periodo"];
  $seccion  = $_GET["seccion"];
  $sede     = $_GET["sede"];
  $materia  = $_GET["materia"];
  $carrera  = $_GET["carrera"];
  $turno  = $_GET["turno"];
   
  
// $conn=connect();  
mysql_select_db($database_conn, $conn);
mysql_query ("SET NAMES 'utf8'");
$query_rs_materias = "SELECT materias.nombre_materia, nivel, pensum, id_mencion,semestre FROM materias WHERE id_materia='$materia' and id_carrera='$carrera'";
$rs_materias = mysql_query($query_rs_materias, $conn) or die(mysql_error());
$row_rs_materias = mysql_fetch_assoc($rs_materias);
$totalRows_rs_materias = mysql_num_rows($rs_materias);
$nivel  = $row_rs_materias["nivel"];
$pensum  = $row_rs_materias["pensum"];
$mencion  = $row_rs_materias["id_mencion"];
$semestre  = $row_rs_materias["semestre"];
$nombre_materia  = $row_rs_materias["nombre_materia"];

$sql_inscritos = "SELECT * FROM `inscripciones` where semestre='$semestre' and id_seccion='$seccion' and id_materia='$materia' and id_periodo='$periodo'";
$res_inscritos = mysql_query($sql_inscritos, $conn) or die(mysql_error());
$inscritos = mysql_num_rows($res_inscritos);
 
$sql_carga = "SELECT * FROM `inscripciones` where semestre='$semestre' and id_seccion='$seccion' and id_materia='$materia' and id_periodo='$periodo' and corte_1<>0";
$res_carga = mysql_query($sql_carga, $conn) or die(mysql_error());
$cargados = mysql_num_rows($res_carga);

$porcentaje_carga=0;
if($inscritos>0) $porcentaje_carga=($cargados*100)/$inscritos;    
if($porcentaje_carga<=25){
   ?>
	 <script type="text/javascript">
	    msj="!Lo sentimos!.\nUsted no ha cargado las notas del CORTE 1 de la Unidad Curricular\n<?php echo strtr(strtoupper($nombre_materia),"àèìòùáéíóúçñäëïöü","ÀÈÌÒÙÁÉÍÓÚÇÑÄËÏÖÜ"); ?>, Sección <?php echo $seccion ?>";
	 	alert(msj);
	 </script>
	 <?php
	 return;
	 }  
	 
$sql_carga = "SELECT * FROM `inscripciones` where semestre='$semestre' and id_seccion='$seccion' and id_materia='$materia' and id_periodo='$periodo' and corte_2<>0";
$res_carga = mysql_query($sql_carga, $conn) or die(mysql_error());
$cargados = mysql_num_rows($res_carga);
   
$porcentaje_carga=0;
if($inscritos>0) $porcentaje_carga=($cargados*100)/$inscritos;
       
if($porcentaje_carga<=25){
   ?>
	 <script type="text/javascript">
	    msj="!Lo sentimos!.\nUsted no ha cargado las notas del CORTE 2 de la Unidad Curricular\n<?php echo strtr(strtoupper($nombre_materia),"àèìòùáéíóúçñäëïöü","ÀÈÌÒÙÁÉÍÓÚÇÑÄËÏÖÜ"); ?>, Sección <?php echo $seccion ?>";
	 	alert(msj);
	 </script>
	 <?php
	 return;
	 }

$sql_carga = "SELECT * FROM `inscripciones` where semestre='$semestre' and id_seccion='$seccion' and id_materia='$materia' and id_periodo='$periodo' and corte_3<>0";
$res_carga = mysql_query($sql_carga, $conn) or die(mysql_error());
$cargados = mysql_num_rows($res_carga);
   
$porcentaje_carga=0;
if($inscritos>0) $porcentaje_carga=($cargados*100)/$inscritos;
       
if($porcentaje_carga<25){
   ?>
	 <script type="text/javascript">
	    msj="!Lo sentimos!.\nUsted no ha cargado las notas del CORTE 3 de la Unidad Curricular\n<?php echo strtr(strtoupper($nombre_materia),"àèìòùáéíóúçñäëïöü","ÀÈÌÒÙÁÉÍÓÚÇÑÄËÏÖÜ"); ?>, Sección <?php echo $seccion ?>";
	 	alert(msj);
	 </script>
	 <?php
	 return;
	 }

$query_periodo = "SELECT codigo,tipo FROM periodos WHERE id_periodo='$periodo'";
$rs_periodo = mysql_query($query_periodo, $conn) or die(mysql_error());
$row_periodo = mysql_fetch_assoc($rs_periodo);
$totalRows_periodo = mysql_num_rows($rs_periodo);
$id_periodo=$row_periodo['codigo']; 
$tipo_periodo=$row_periodo['tipo'];
if($tipo_periodo!="REGULAR"){
   ?>
	 <script type="text/javascript">
	    msj="!Lo sentimos!.\nLa Prueba de Recuperación aplica sólo a semestres REGULARES.";
	 	alert(msj);
	 </script>
	 <?php
	 return;
}

$query_periodo = "SELECT codigo,tipo,fecha_tope_corte3,fecha_ini_pr,fecha_fin_pr FROM periodos WHERE id_periodo='$periodo'";
$rs_periodo = mysql_query($query_periodo, $conn) or die(mysql_error());
$row_periodo = mysql_fetch_assoc($rs_periodo);
$totalRows_periodo = mysql_num_rows($rs_periodo);
$id_periodo=$row_periodo['codigo']; 
$fecha_tope_corte_3=$row_periodo['fecha_tope_corte3']; 
$fecha_tope_corte_3=join ("-",(array_reverse(explode("-",$fecha_tope_corte_3))));
$fecha_ini_pr=join ("-",(array_reverse(explode("-",$fecha_ini_pr))));
$fecha_fin_pr=join ("-",(array_reverse(explode("-",$fecha_fin_pr))));
$fecha_tope_3=strtotime($row_periodo['fecha_tope_corte_3']); 

$fecha_hoy=$fechs = date("Y-m-d");
$fecha_desde=$row1["fecha_desde"];
$fecha_hasta= $row1["fecha_hasta"];
if($fecha_hoy<$fecha_tope_corte_3){
 ?>
	 <script type="text/javascript">
	    msj="!Lo sentimos!.\nPara cargar la Prueba de Recuperación debe esperar\na que finalice el corte 3 el cual cierra el <?php echo $fecha_tope_corte_3 ?>.";
	 	alert(msj);
	 </script>
	 <?php
	 return;
}

if(($fecha_hoy<$fecha_ini_pr) or ($fecha_hoy>$fecha_fin_pr)){
 ?>
	 <script type="text/javascript">
	    msj="!Lo sentimos!.\nLa fecha para cargar la Prueba de Recuperación es\ndel <?php echo $fecha_ini_pr ?> al <?php echo $fecha_fin_pr ?>.";
	 	alert(msj);
	 </script>
	 <?php
	 return;
}

$query_rs_docentes = "SELECT apellidos, nombres FROM docentes WHERE id_docente='$profesor'";
$rs_docentes = mysql_query($query_rs_docentes, $conn) or die(mysql_error());
$row_rs_docentes = mysql_fetch_assoc($rs_docentes);
$totalRows_rs_docentes = mysql_num_rows($rs_docentes);
$nombre_docente=$row_rs_docentes['apellidos'].' '.$row_rs_docentes['nombres'];

$query_sede = "SELECT nombre_sede FROM sedes WHERE codigo='$sede'";
$rs_sede = mysql_query($query_sede, $conn) or die(mysql_error());
$row_sede = mysql_fetch_assoc($rs_sede);
$totalRows_sede = mysql_num_rows($rs_sede);

$query_carrera = "SELECT nombre_carrera FROM carreras WHERE id_carrera='$carrera'";
$rs_carrera = mysql_query($query_carrera, $conn) or die(mysql_error());
$row_carrera = mysql_fetch_assoc($rs_carrera);
$totalRows_carrera = mysql_num_rows($rs_carrera);


$query_turnos = "SELECT turno FROM turnos WHERE codigo='$turno'";
$rs_turnos = mysql_query($query_turnos, $conn) or die(mysql_error());
$row_turnos = mysql_fetch_assoc($rs_turnos);
$totalRows_turnos = mysql_num_rows($rs_turnos);
$nombre_turno=$row_turnos['turno']; 

$ponderacion=25;

?>

<html>
<head>
<title>sadce -- carga de notas</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
</head>
<body>
<table class="bd" width="100%"><tr><td class="hr"><h2>Registro de Prueba de Recuperaci&oacute;n</h2></td></tr></table>
<table class="bd" border="0" cellspacing="1" cellpadding="2">
<tr>
   <td><b>CARRERA:</b>&nbsp;&nbsp;<?php echo $carrera.':'.$row_carrera['nombre_carrera']; ?></td>
</tr>

<tr>
   <td><b>UNIDAD CURRICULAR:</b>&nbsp;&nbsp;&nbsp;<?php echo $materia.':'.$row_rs_materias['nombre_materia']; ?></td>
</tr>
<tr>
<td colspan="2"><b>SEMESTRE:</b> <?php echo $semestre; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>SECCI&Oacute;N:</b> <?php echo $seccion; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>TURNO:</b> <?php echo $nombre_turno; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>LAPSO:</b> <?php echo $row_periodo['codigo'].' ('.$row_periodo['tipo'].')'; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>SEDE:</b> <?php echo $row_sede['nombre_sede']; ?></td>
</tr>



</table>
<?php
   require_once('Connections/conn.php');
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'");
  
  $showrecs = 100;
  $pagerange = 10;

  $a = @$_GET["a"];
  $recid = @$_GET["recid"];
  $page = @$_GET["page"];
  if (!isset($page)) $page = 1;

  $sql = @$_POST["sql"];
 
  switch ($sql) {
    
    case "update":
      sql_update();
      break;
   
	  }

  switch ($a) {
    case "view":
      viewrec($recid, $profesor, $periodo, $seccion, $sede, $materia, $carrera);
      break;
	 case "edit":
      viewrec($recid, $profesor, $periodo, $seccion, $sede, $materia, $carrera);
      break; 
    default:
      select($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno);
      break;
  }

  if (isset($order)) $_SESSION["order"] = $order;
  if (isset($ordtype)) $_SESSION["type"] = $ordtype;
  if (isset($filter)) $_SESSION["filter"] = $filter;
  if (isset($filterfield)) $_SESSION["filter_field"] = $filterfield;
  if (isset($wholeonly)) $_SESSION["wholeonly"] = $wholeonly;

  mysql_close($conn);
?>
<hr size="1" noshade>

</body>
</html>

<?php function select($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno)
  {
  
  global $conn;
  global $a;
  global $showrecs;
  global $page;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $order;
  global $ordtype;
  global $nombre_docente;
  global $pondera1;
  global $pondera2;
  global $pondera3;
  global $pondera4;

  //Busco el nombre de la materia

 
  if ($a == "reset") {
    $filter = "";
    $filterfield = "";
    $wholeonly = "";
    $order = "";
    $ordtype = "";
  }

  $checkstr = "";
  if ($wholeonly) $checkstr = " checked";
  if ($ordtype == "asc") { $ordtypestr = "desc"; } else { $ordtypestr = "asc"; }
  $res = sql_select($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno);
  $count = sql_getrecordcount($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno);
  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);
  if ($startrec < $count) {mysql_data_seek($res, $startrec);}
  $reccount = min($showrecs * $page, $count);
?>
<table class="bd" border="0" width="100%">
<tr>
<td colspan="2"><b>DOCENTE:</b>&nbsp;&nbsp;<?php echo $nombre_docente; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>ESTUDIANTES A RECUPERAR:</b>&nbsp;&nbsp; <?php echo $count ?></td>
</tr>
</table>
<hr size="1" noshade>
<form name="editar_nota" id="editar_nota">

<table class="tbl" border="0" cellspacing="1" cellpadding="2" width="100%">
<tr>
<td align="center" class="hr" rowspan="2">Cargar</td>
<td align="center" class="hr" rowspan="2">Nro.</td>
<td align="center" class="hr" rowspan="2">C&eacute;dula</td>
<td align="center" class="hr" rowspan="2">Apellidos</td>
<td align="center" class="hr" rowspan="2">Nombres</td>

<td align="center" class="hr" colspan="5">Cortes</td>

<td align="center" class="hr">VA</td>

<td align="center" class="hr">Nota</td>


</tr>
<tr>
<td align="center" class="hr">1</td>
<td align="center" class="hr">2</td>
<td align="center" class="hr">3</td>
<td align="center" class="hr">4</td>
<td align="center" class="hr">A Sustituir</td>
<td align="center" class="hr">0-100%</td>

<td align="center" class="hr">REC.</td>

</tr>
<?php
  $ponderacion=25;
  $nro=1;
  for ($i = $startrec; $i < $reccount; $i++)
  {
    $row = mysql_fetch_assoc($res);
    $style = "dr";
    if ($i % 2 != 0) {
      $style = "sr";
    }
	$id_alumno=$row["id_alumno"];
	$corte_a_sustituir = corte_menor($row["corte_1"],$row["corte_2"],$row["corte_3"]);
?>
<tr>
<td class="<?php echo $style ?>" align="center"><a href="prueba_recuperacion.php?a=edit&recid=<?php echo $i ?>&profesor=<?php echo $profesor ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&turno=<?php echo $turno ?>&sede=<?php echo $sede ?>"><img src="imagenes/edit.gif" border="0" ></a></td>
<td align="center" class="<?php echo $style ?>"><?php echo htmlspecialchars($nro) ?></td>
<td align="right" class="<?php echo $style ?>"><?php echo htmlspecialchars($row["cedula"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["apellidos"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["nombres"]) ?></td>
<td align="center" class="<?php echo $style ?>" ><input disabled="disabled" name="corte_1" id="corte_1"  type="text" value="<?php echo str_replace('"', '&quot;', trim($row["corte_1"])) ?>"  maxlength="5" size="2" > </td>

<td align="center" class="<?php echo $style ?>" ><input disabled="disabled" name="corte_2" id="corte_2"  type="text" value="<?php echo str_replace('"', '&quot;', trim($row["corte_2"])) ?>"  maxlength="5" size="2" > </td>

<td align="center" class="<?php echo $style ?>" ><input disabled="disabled" name="corte_3" id="corte_3"  type="text" value="<?php echo str_replace('"', '&quot;', trim($row["corte_3"])) ?>"  maxlength="5" size="2" > </td>

<td align="center" class="<?php echo $style ?>" ><input disabled="disabled" name="corte_4" id="corte_4"  type="text" value="<?php echo str_replace('"', '&quot;', trim($row["corte_4"])) ?>"  maxlength="5" size="2" > </td>

<td align="center" class="<?php echo $style ?>" ><?php echo $corte_a_sustituir ?></td>

<td align="center" class="<?php echo $style ?>" ><input disabled="disabled" name="acumulado" id="acumulado"  type="text" value="<?php echo str_replace('"', '&quot;', trim($row["acumulado"])) ?>"  maxlength="5" size="2" > </td>


<td align="center" class="<?php echo $style ?>" ><input disabled="disabled" name="recuperacion" id="recuperacion"  type="text" value="<?php echo str_replace('"', '&quot;', trim($row["recuperacion"])) ?>"  maxlength="5" size="2" ></td>

</tr>

<?php
  $nro++;
  }
  mysql_free_result($res);
?>
</table>
</form>
<iframe name="frame1" id="frame1" with="0" height="0" frameborder="0" ></iframe>
<br>

<?php } ?>


<?php function showroweditor($row, $iseditmode)
  {
  global $conn;
  global $ponderacion;
 
  
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="2"width="80%">
<tr>
<td class="hr">C&eacute;dula&nbsp;</td>
<td class="dr"><input name="cedula"  type="text" value="<?php echo number_format(str_replace('"', '&quot;', trim($row["cedula"])),0, ",", ".") ?>" size="10" maxlength="10" readonly="true"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Estudiante")."&nbsp;" ?></td>
<td class="dr"><input name="apellidos"  type="text" value="<?php echo str_replace('"', '&quot;', trim($row["apellidos"])).', '.str_replace('"', '&quot;', trim($row["nombres"])) ?>" size="60" maxlength="60" readonly="true"></td>
</tr>
<tr>
<td class="hr">Nota en Prueba de Recuperaci&oacute;n&nbsp;</td>
<td class="dr"><input onKeyPress="return NumCheck(event, this)" maxlength="5" size="2" onBlur="validar_recuperacion(this.value,'<?php echo $ponderacion ?>')" type="text" name="recuperacion" id="recuperacion" value="<?php echo str_replace('"', '&quot;', trim($row["recuperacion"])) ?>">&nbsp;/&nbsp;<?php echo $ponderacion; ?>&nbsp;%</td>
</tr>

</table>
<iframe name="frame1" id="frame1" with="0" height="0" frameborder="0" ></iframe>
<?php } ?>


<?php function viewrec($recid)
{ 
  global $profesor;
  global $periodo;
  global $seccion;
  global $sede;
  global $materia;
  global $carrera;
  global $turno;

  $res = sql_select($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno);
  $count = sql_getrecordcount($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno);
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("edit", $recid, $count, $profesor, $periodo, $seccion, $sede, $materia, $carrera);
  if($recid==$count-1){
     $recid=0;
	 }
   else {
     $recid=$recid+1;
	 }	 
?>
<br>
<form name="editar_nota" id="editar_nota" enctype="multipart/form-data" action="prueba_recuperacion.php?a=edit&recid=<?php echo $recid ?>&profesor=<?php echo $profesor ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&turno=<?php echo $turno ?>" method="post" onSubmit="return validar_datos()">

<input type="hidden" name="sql" value="update">
<input type="hidden" name="xid" value="<?php echo $row["id"] ?>">
<input type="hidden" name="xid_alumno" value="<?php echo $row["id_alumno"] ?>">
<input type="hidden" name="xid_periodo" value="<?php echo $row["id_periodo"] ?>">
<input type="hidden" name="xid_seccion" value="<?php echo $row["id_seccion"] ?>">
<input type="hidden" name="xid_materia" value="<?php echo $materia ?>">
<input type="hidden" name="xid_carrera" value="<?php echo $carrera ?>">
<input type="hidden" name="xcorte_1" value="<?php echo $row["corte_1"] ?>">
<input type="hidden" name="xcorte_2" value="<?php echo $row["corte_2"] ?>">
<input type="hidden" name="xcorte_3" value="<?php echo $row["corte_3"] ?>">

<?php showroweditor($row, true); ?>
<p><input type="submit" name="action" value="Guardar"></p>
</form>

<?php
  mysql_free_result($res);
} ?>

<?php function showrecnav($a, $recid, $count)
{
 global $profesor;
  global $periodo;
  global $seccion;
  global $sede;
  global $materia;
  global $carrera;
  global $turno;
  
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="prueba_recuperacion.php?periodo=<?php echo $periodo ?>&carrera=<?php echo $carrera ?>&materia=<?php echo $materia ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&profesor=<?php echo $profesor ?>&turno=<?php echo $turno ?>">Regresar</a></td>
<?php if ($recid > 0) { ?>
<td><a href="prueba_recuperacion.php?a=<?php echo $a ?>&recid=<?php echo $recid - 1 ?>&periodo=<?php echo $periodo ?>&carrera=<?php echo $carrera ?>&materia=<?php echo $materia ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&profesor=<?php echo $profesor ?>&turno=<?php echo $turno ?>">Registro Anterior</a></td>
<?php } if ($recid < $count - 1) { ?>
<td><a href="prueba_recuperacion.php?a=<?php echo $a ?>&recid=<?php echo $recid + 1 ?>&periodo=<?php echo $periodo ?>&carrera=<?php echo $carrera ?>&materia=<?php echo $materia ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&profesor=<?php echo $profesor ?>&turno=<?php echo $turno ?>">Siguiente Registro</a></td>
<?php } ?>
</tr>
</table>
<hr size="1" noshade>
<?php } ?>


<?php function connect()
{
 
}

function sqlstr($val)
{
  return str_replace("'", "''", $val);
}

function sql_select($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno)
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;
  
  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "Select inscripciones.id,inscripciones.id_alumno, alumnos.cedula, alumnos.apellidos, alumnos.nombres, inscripciones.id_periodo, inscripciones.id_carrera, inscripciones.id_materia, inscripciones.id_seccion,  inscripciones.eval1,  inscripciones.eval2,  inscripciones.eval3,  inscripciones.eval4,  inscripciones.eval5,  inscripciones.eval6,  inscripciones.eval7,  inscripciones.eval8,  inscripciones.eval9,  inscripciones.eval10,  inscripciones.eval11,  inscripciones.eval12,  inscripciones.eval13,  inscripciones.eval14,  inscripciones.eval15,   inscripciones.eval16, inscripciones.corte_1, inscripciones.corte_2, inscripciones.corte_3,  inscripciones.corte_4, inscripciones.acumulado, inscripciones.nota, inscripciones.recuperacion, inscripciones.sede, inscripciones.fecha, inscripciones.id_docente From alumnos Inner Join inscripciones ON alumnos.id_alumno = inscripciones.id_alumno WHERE id_docente='$profesor' and id_periodo='$periodo' and id_seccion='$seccion' and inscripciones.sede='$sede' and id_materia='$materia' and id_carrera='$carrera' and turno='$turno' and ((acumulado>=35 and acumulado<=49) or corte_sustituido>0) ORDER BY apellidos,nombres";
  $res = mysql_query($sql, $conn) or die(mysql_error());
  return $res;
}

function sql_getrecordcount($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno)
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;
  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT COUNT(*) FROM alumnos Inner Join inscripciones ON alumnos.id_alumno = inscripciones.id_alumno WHERE id_docente='$profesor' and id_periodo='$periodo' and id_seccion='$seccion' and inscripciones.sede='$sede' and id_materia='$materia' and id_carrera='$carrera'  and turno='$turno' and ((acumulado>=35 and acumulado<=49) or corte_sustituido>0) ORDER BY apellidos,nombres";
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $row = mysql_fetch_assoc($res);
  reset($row);
  return current($row);
} ?>

<?php


function sql_update()
{
  global $conn;
  global $_POST;
  
  $recupera=@$_POST["recuperacion"];
  $corte1=@$_POST["xcorte_1"];
  $corte2=@$_POST["xcorte_2"];
  $corte3=@$_POST["xcorte_3"]; 
  
  $corte_a_sustituir = corte_menor($corte1,$corte2,$corte3);
    
  if(strlen($recupera)==0) $recupera=0;
  if($recupera==0) $corte_a_sustituir=0;
  

  // Actualiza la nota de recuperación y establece el corte a sustituir.
  $sql = "update `inscripciones` set `recuperacion`='$recupera',corte_sustituido='$corte_a_sustituir'  WHERE " .primarykeycondition();
  mysql_query($sql, $conn) or die(mysql_error());
  	
  if($recupera>=1){
	 if($corte_a_sustituir==1)$sql = "update `inscripciones` set acumulado='$recupera'+corte_2+corte_3+corte_4  WHERE " .primarykeycondition();
	 if($corte_a_sustituir==2)$sql = "update `inscripciones` set acumulado=corte_1+'$recupera'+corte_3+corte_4  WHERE " .primarykeycondition();
	 if($corte_a_sustituir==3)$sql = "update `inscripciones` set acumulado=corte_1+corte_2+'$recupera'+corte_4  WHERE " .primarykeycondition();
  }
  else{
     $sql = "update `inscripciones` set acumulado=corte1+corte_2+corte_3+corte_4  WHERE " .primarykeycondition();
  }
  mysql_query($sql, $conn) or die(mysql_error());
	
	// Toma el corte 1 actualizado para devolverlo al formulario.
	$query_acumulado = "SELECT acumulado FROM inscripciones where " .primarykeycondition();
    $rst_acumulado = mysql_query($query_acumulado, $conn) or die(mysql_error());
    $row_acumulado = mysql_fetch_assoc($rst_acumulado);
    $acumulado=$row_acumulado['acumulado'];

    $acumulado1Dec=round($acumulado,1);
    $acumuladoInt=round($acumulado1Dec);
    $definitiva=1;
		if($acumuladoInt>=1 && $acumuladoInt<=5){
		   $definitiva=1;
		} elseif ($acumuladoInt>=6 && $acumuladoInt<=11){
		   $definitiva=2;
		} elseif ($acumuladoInt>=12 && $acumuladoInt<=17){
		   $definitiva=3;
		} elseif ($acumuladoInt>=18 && $acumuladoInt<=23){
		   $definitiva=4;
		} elseif ($acumuladoInt>=24 && $acumuladoInt<=29){
		   $definitiva=5;
		} elseif ($acumuladoInt>=30 && $acumuladoInt<=34){
		   $definitiva=6;
		} elseif ($acumuladoInt>=35 && $acumuladoInt<=39){
		   $definitiva=7;
		} elseif ($acumuladoInt>=40 && $acumuladoInt<=44){
		   $definitiva=8;
		} elseif ($acumuladoInt>=45 && $acumuladoInt<=49){
		   $definitiva=9;
		} elseif ($acumuladoInt>=50 && $acumuladoInt<=54){
		   $definitiva=10;
		} elseif ($acumuladoInt>=55 && $acumuladoInt<=59){
		   $definitiva=11;
		} elseif ($acumuladoInt>=60 && $acumuladoInt<=64){
		   $definitiva=12;
		} elseif ($acumuladoInt>=65 && $acumuladoInt<=69){
		   $definitiva=13;
		} elseif ($acumuladoInt>=70 && $acumuladoInt<=74){
		   $definitiva=14;
		} elseif ($acumuladoInt>=75 && $acumuladoInt<=79){
		   $definitiva=15;
		} elseif ($acumuladoInt>=80 && $acumuladoInt<=84){
		   $definitiva=16;
		} elseif ($acumuladoInt>=85 && $acumuladoInt<=88){
		   $definitiva=17;
		} elseif ($acumuladoInt>=89 && $acumuladoInt<=92){
		   $definitiva=18;
		} elseif ($acumuladoInt>=93 && $acumuladoInt<=96){
		   $definitiva=19;
		} elseif ($acumuladoInt>=97 && $acumuladoInt<=100){
		   $definitiva=20;
		}
 
 $sql = "update `inscripciones` set nota='$definitiva'  where " .primarykeycondition();
   mysql_query($sql, $conn) or die(mysql_error());
}


function primarykeycondition()
{
  global $_POST;
  $pk = "";
  $pk .= "(`id`";
  if (@$_POST["xid"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid"], false);
  };
  $pk .= ")";
  return $pk;
}

function sqlvalue($val, $quote)
{
  if ($quote)
    $tmp = sqlstr($val);
  else
    $tmp = $val;
  if ($tmp == "")
    $tmp = "NULL";
  elseif ($quote)
    $tmp = "'".$tmp."'";
  return $tmp;
}

function corte_menor($corte1, $corte2,$corte3)
{
  $menor=25;
  if ($corte1<=$menor){
     $menor=$corte1;
	 $corte=1;
  }
  if ($corte2<=$menor){
     $menor=$corte2;
	 $corte=2;
  }
  if ($corte3<=$menor){
     $menor=$corte3;
	 $corte=3;
  }
  return $corte;
}






 ?>
 
<script type="text/javascript">
var patron = new Array(2,2,4)
var patron1= new Array(2,3)
var patron2 = new Array(1,3,3,3,3)
function mascara(d,sep,pat,nums){
if(d.valant != d.value){
	val = d.value
	largo = val.length
	val = val.split(sep)
	val2 = ''
	for(r=0;r<val.length;r++){
		val2 += val[r]	
	}
	if(nums){
		for(z=0;z<val2.length;z++){
			if(isNaN(val2.charAt(z))){
				letra = new RegExp(val2.charAt(z),"g")
				val2 = val2.replace(letra,"")
			}
		}
	}
	val = ''
	val3 = new Array()
	for(s=0; s<pat.length; s++){
		val3[s] = val2.substring(0,pat[s])
		val2 = val2.substr(pat[s])
	}
	for(q=0;q<val3.length; q++){
		if(q ==0){
			val = val3[q]
		}
		else{
			if(val3[q] != ""){
				val += sep + val3[q]
				}
		}
	}
	d.value = val
	d.valant = val
	}
}
</script>

<script type="text/javascript">

function validar_recuperacion1(recupera,id_alumno,periodo,carrera,materia,seccion,sede,profesor,turno,nota_old,ponderacion,nro,corte_a_sustituir)
{
  if(recupera!=0){
     if((parseFloat(recupera)>=0) && (parseFloat(recupera)<=parseFloat(ponderacion))){
	    url="registrar_recuperacion.php?recupera="+recupera+"&id_alumno="+id_alumno+"&periodo="+periodo+"&carrera="+carrera+"&materia="+materia+"&seccion="+seccion+"&sede="+sede+"&profesor="+profesor+"&turno="+turno+"&nro="+nro+"&corte_a_sustituir="+corte_a_sustituir;
        frame1.location=url;
        return true;
	 }
	 else{
	   url="mensaje_recupera.php?recupera="+recupera+"&nro="+nro+"&nota_old="+nota_old+"&ponderacion="+ponderacion;
        frame1.location=url;
       return false;
     } 
   }	
   }

</script>

<script type="text/javascript">
function validar_recuperacion(recuperacion,ponderacion)
{

  if((parseFloat(recuperacion)<0) || (parseFloat(recuperacion)>parseFloat(ponderacion))){
      url="mensaje_recupera.php?recupera="+recuperacion+"&ponderacion="+ponderacion;
      frame1.location=url;
      return true;
  } 	
}
</script>



